Bug 409011 - Review Request: pam_fprint - Integrate libfprint with existing applications
Review Request: pam_fprint - Integrate libfprint with existing applications
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-03 13:26 EST by Pierre-Yves
Modified: 2008-08-02 19:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-06 16:03:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pierre-Yves 2007-12-03 13:26:53 EST
Spec URL: http://pingoured.dyndns.org/public/RPM/pam_fprint/pam_fprint.spec
SRPM URL: http://pingoured.dyndns.org/public/RPM/pam_fprint/pam_fprint-0.2-2.fc8.src.rpm
Description: 
To integrate libfprint with existing applications, so that users can use 
their fingerprint reading hardware.
Comment 1 Jason Tibbitts 2007-12-03 19:43:00 EST
libfprint doesn't seem to be available to build this.
Comment 2 Parag AN(पराग) 2007-12-03 22:11:51 EST
let me build this package with my local mock setup then.
Comment 3 Parag AN(पराग) 2007-12-04 07:03:51 EST
packaging looks ok to me
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
bfb041ed856aaac5c5c416973451226  pam_fprint-0.2.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ BuildRequires are proper.
+ Compiler flags used correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package pam_fprint-0.2-2.fc9 ->
  Provides: pam_fprint.so
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3)
libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libfprint.so.0 libpam.so.0
libpam.so.0(LIBPAM_1.0)
+ Not a GUI App.

waiting for libfprint build
Comment 4 Pierre-Yves 2007-12-04 07:15:46 EST
libfprint is waiting to be pushed on the testing repository :)
Comment 5 Parag AN(पराग) 2007-12-06 22:25:49 EST
but libfprint not build for devel.
anyway I don't think I should wait for that devel build dependency problem here.

APPROVED.
Comment 6 Pierre-Yves 2007-12-07 17:49:22 EST
New Package CVS Request
=======================
Package Name: pam_fprint 
Short Description: Integrate libfprint with existing applications
Owners: pingou
Branches: F-7 F-8
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2007-12-07 19:58:03 EST
cvs done.
Comment 8 Parag AN(पराग) 2007-12-15 04:27:50 EST
Is this pakcage built for all requested branches?
Comment 9 Pierre-Yves 2007-12-15 05:01:33 EST
Hi,

As this package depend on libfprint and libfprint is on testing, I can not build
it yet.
I have sent an email to rel-eng@fp.org without answer yet...

I want them both on testing also because I still would like to do some more test.

regards,
Comment 10 Julian Sikorski 2007-12-16 06:05:59 EST
Hi,

in order to build against an unreleased package, you need to ask releng for an
override tag. This applies for stable branches, of course, since for rawhide the
buildroot gets populated right away. From my experience, the quickest way to get
an override tag is to drop in #fedora-devel and ask for it. Once your build gets
tagged, you have to wait about 30 minutes for the createrepo task to finish.
Do you think it would be a good idea to obsolete thinkfinger with this package?
I used to maintain thinkfinger, but I dropped it as usptream wasn't very
responsive. I think caillon said he would pick it up, but is there any point?
Also, libthinkfinger 0.0.5 was released about a week ago.
Comment 11 Fedora Update System 2007-12-21 16:09:20 EST
pam_fprint-0.2-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pam_fprint'
Comment 12 Parag AN(पराग) 2007-12-25 22:40:00 EST
Pierre-Yves,
   Can you build this for F7 and close review here?
Comment 13 Pierre-Yves 2008-01-06 16:03:09 EST
done :)
Comment 14 Fedora Update System 2008-01-06 20:12:44 EST
pam_fprint-0.2-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pam_fprint'
Comment 15 Fedora Update System 2008-01-15 18:01:37 EST
pam_fprint-0.2-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2008-01-15 18:03:34 EST
pam_fprint-0.2-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.